summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/php-common-r1.eclass27
-rw-r--r--eclass/php4_4-sapi.eclass5
-rw-r--r--eclass/php5_1-sapi.eclass5
-rw-r--r--eclass/php5_2-sapi.eclass5
4 files changed, 27 insertions, 15 deletions
diff --git a/eclass/php-common-r1.eclass b/eclass/php-common-r1.eclass
index e70a182fb76c..af6bce2db4dd 100644
--- a/eclass/php-common-r1.eclass
+++ b/eclass/php-common-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.13 2008/03/03 17:05:06 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.14 2008/05/25 09:27:48 hoffie Exp $
# Based on robbat2's work on the php4 sapi eclass
# Based on stuart's work on the php5 sapi eclass
@@ -210,14 +210,23 @@ php_check_oracle_8() {
php_check_pgsql() {
if use "postgres" \
- && use "apache2" && use "threads" \
- && has_version ">=dev-db/libpq-8.1.3-r1" \
- && ! built_with_use ">=dev-db/libpq-8.1.3-r1" "threads" ; then
- eerror
- eerror "You must build dev-db/libpq with the 'threads' USE flag"
- eerror "turned on if you want to build PHP with threads support!"
- eerror
- die "Rebuild dev-db/libpq with 'threads' USE flag enabled"
+ && use "apache2" && use "threads" ; then
+ if has_version ">=dev-db/libpq-8.1.3-r1" \
+ && ! built_with_use ">=dev-db/libpq-8.1.3-r1" "threads" ; then
+ eerror
+ eerror "You must build dev-db/libpq with USE=threads"
+ eerror "if you want to build PHP with threads support!"
+ eerror
+ die "Rebuild dev-db/libpq with USE=threads"
+ fi
+ local pgsql_ver=$(eselect postgresql show)
+ if ! built_with_use "=dev-db/postgresql-base-${pgsql_ver}*" threads ; then
+ eerror
+ eerror "You must build =dev-db/postgresql-base-${pgsql_ver} with USE=threads"
+ eerror "if you want to build PHP with threads support!"
+ eerror
+ die "Rebuild =dev-db/postgresql-base-${pgsql_ver} with USE=threads"
+ fi
fi
}
diff --git a/eclass/php4_4-sapi.eclass b/eclass/php4_4-sapi.eclass
index d96ef4af8742..68d52049e26f 100644
--- a/eclass/php4_4-sapi.eclass
+++ b/eclass/php4_4-sapi.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php4_4-sapi.eclass,v 1.42 2007/11/12 18:13:29 wltjr Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php4_4-sapi.eclass,v 1.43 2008/05/25 09:27:48 hoffie Exp $
# ========================================================================
# Based on robbat2's work on the php4 sapi eclass
@@ -83,7 +83,8 @@ DEPEND="adabas? ( >=dev-db/unixODBC-1.8.13 )
nls? ( sys-devel/gettext )
oci8-instant-client? ( dev-db/oracle-instantclient-basic )
odbc? ( >=dev-db/unixODBC-1.8.13 )
- postgres? ( >=dev-db/libpq-7.1 )
+ postgres? ( || ( >=dev-db/libpq-7.1 ( app-admin/eselect-postgresql
+ >=dev-db/postgresql-base-7.1 ) ) )
readline? ( sys-libs/readline )
recode? ( app-text/recode )
sapdb? ( >=dev-db/unixODBC-1.8.13 )
diff --git a/eclass/php5_1-sapi.eclass b/eclass/php5_1-sapi.eclass
index 69ac1a8b281b..f39631dec92f 100644
--- a/eclass/php5_1-sapi.eclass
+++ b/eclass/php5_1-sapi.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php5_1-sapi.eclass,v 1.43 2007/05/12 04:59:41 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php5_1-sapi.eclass,v 1.44 2008/05/25 09:27:48 hoffie Exp $
# ========================================================================
#
@@ -81,7 +81,8 @@ DEPEND="adabas? ( >=dev-db/unixODBC-1.8.13 )
nls? ( sys-devel/gettext )
oci8-instant-client? ( dev-db/oracle-instantclient-basic )
odbc? ( >=dev-db/unixODBC-1.8.13 )
- postgres? ( >=dev-db/libpq-7.1 )
+ postgres? ( || ( >=dev-db/libpq-7.1 ( app-admin/eselect-postgresql
+ >=dev-db/postgresql-base-7.1 ) ) )
qdbm? ( dev-db/qdbm )
readline? ( sys-libs/readline )
recode? ( app-text/recode )
diff --git a/eclass/php5_2-sapi.eclass b/eclass/php5_2-sapi.eclass
index 4fd52854cc51..2a8a1e14a11c 100644
--- a/eclass/php5_2-sapi.eclass
+++ b/eclass/php5_2-sapi.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php5_2-sapi.eclass,v 1.21 2008/05/03 14:38:25 hoffie Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php5_2-sapi.eclass,v 1.22 2008/05/25 09:27:48 hoffie Exp $
# ========================================================================
# Based on robbat2's work on the php4 sapi eclass
@@ -82,7 +82,8 @@ DEPEND="adabas? ( >=dev-db/unixODBC-1.8.13 )
nls? ( sys-devel/gettext )
oci8-instant-client? ( dev-db/oracle-instantclient-basic )
odbc? ( >=dev-db/unixODBC-1.8.13 )
- postgres? ( >=dev-db/libpq-7.1 )
+ postgres? ( || ( >=dev-db/libpq-7.1 ( app-admin/eselect-postgresql
+ >=dev-db/postgresql-base-7.1 ) ) )
qdbm? ( dev-db/qdbm )
readline? ( sys-libs/readline )
recode? ( app-text/recode )